%define name	opengroupware-webui-prefs
%define version 5.0.0
%define cvs     20040204
%define release %{cvs}.1mdk

Summary:     	OpenGroupware.org WebUI (Prefs)
Name:        	%{name}
Version:     	%{version}
Release:     	%{release}
License:     	GPL
URL: 		http://www.opengroupware.org
Group:		Networking/Other
Prefix:      	%{_libdir}/opengroupware.org
BuildRoot:   	%{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic opengroupware-webui-libs, opengroupware-webui-common
Source:      opengroupware.org-webui-prefs-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel libxml2 libxml2-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-sope opengroupware-sope-devel opengroupware-env opengroupware-logic opengroupware-logic-devel opengroupware-docapi opengroupware-docapi-devel opengroupware-webui-libs opengroupware-webui-libs-devel, opengroupware-webui-common
BuildRequires: gcc-objc

%description
This package contains parts of the OpenGroupware.org WebUI.

%prep
%setup -q -n opengroupware.org-webui-prefs

%build
source %{prefix}/OpenGroupware.org.sh
cd PreferencesUI
make debug=yes strip=yes all
cd ..

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org
cd PreferencesUI
make debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B WOBUNDLE_INSTALL_DIR=$B
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{prefix}/Library/OpenGroupware.org/PreferencesUI.lso


%changelog
* Thu Feb 12 2004 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20040204.1mdk
- 20040204

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20031201.1mdk
- new snapshot - bugfixes
- specfile cleaning

* Tue Oct 7 2003 Spencer Anderson <sdander@oberon.ark.com> 5.0-20031001.1mdk
- new snapshot
- specfile cleanup

* Thu Sep 4 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

